Bug 528125 - Review Request: MySQL-zrm - MySQL backup manager
Summary: Review Request: MySQL-zrm - MySQL backup manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-09 09:22 UTC by Michal Ingeli
Modified: 2009-10-27 06:29 UTC (History)
3 users (show)

Fixed In Version: 2.1.1-5.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-26 16:53:35 UTC
Type: ---
lkundrak: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michal Ingeli 2009-10-09 09:22:55 UTC
Spec URL: http://v3.sk/~xyzz/rpm/MySQL-zrm/MySQL-zrm.spec
SRPM URL: http://v3.sk/~xyzz/rpm/MySQL-zrm/MySQL-zrm-2.1.1-2.fc11.src.rpm
Description: 
Easy-to-use yet flexible and robust backup and recovery solution for MySQL 
server.

Comment 1 Michal Ingeli 2009-10-09 09:25:00 UTC
Builds in mock, rpmlint silent.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1733355

Comment 2 Lubomir Rintel 2009-10-09 10:37:18 UTC
1.) Please do not repeat %attr-s, use %defattr instead, such as %defattr(0644,root,root,0755)

2.) Don't duplicate RPM's work when installing documentation.
Replace

cp -rp usr/share/doc/*				%{buildroot}/%{_defaultdocdir}/
...
%attr(644,root,root) %doc %{_defaultdocdir}/*/*

with something like "%doc usr/share/doc/*"

Comment 3 Lubomir Rintel 2009-10-09 10:41:58 UTC
3.) mysql-zrm-socket-server service runs as mysql:mysql user. Shouldn't your files in /var be writable by that user?

4.) mysql-zrm-socket-server xinetd service is enabled by default. Should be disabled.

Comment 4 Michal Ingeli 2009-10-09 12:49:27 UTC
(In reply to comment #2)
> 1.) Please do not repeat %attr-s, use %defattr instead, such as
> %defattr(0644,root,root,0755)

Hope it's fixed. I left them only on necessary places, that may be broken in original package.
 
> 2.) Don't duplicate RPM's work when installing documentation.
> Replace
> 
> cp -rp usr/share/doc/*    %{buildroot}/%{_defaultdocdir}/
> ...
> %attr(644,root,root) %doc %{_defaultdocdir}/*/*
> 
> with something like "%doc usr/share/doc/*"  

done

(In reply to comment #3)
> 3.) mysql-zrm-socket-server service runs as mysql:mysql user. Shouldn't your
> files in /var be writable by that user?

Changed ownership of /var/log/mysql-zrm, but not /var/lib/mysql-zrm. I believe that it's dependent on local backup settings, which user will run backup jobs from crontab.

> 4.) mysql-zrm-socket-server xinetd service is enabled by default. Should be
> disabled.  

done

Spec URL: http://v3.sk/~xyzz/rpm/MySQL-zrm/MySQL-zrm.spec
SRPM URL: http://v3.sk/~xyzz/rpm/MySQL-zrm/MySQL-zrm-2.1.1-3.fc11.src.rpm

Comment 5 Lubomir Rintel 2009-10-09 12:58:01 UTC
Seems better now, I don't see any more blockers.

5.) Please replace %{_var}/lib with %{_sharedstatedir}

6.) These two requires don't seem to be in fact required, please consider removing them:

Requires:	perl(Data::Report::Base) 
Requires:	perl(Data::Report::Plugin::Csv) 

APPROVED

Comment 6 Michal Ingeli 2009-10-09 15:50:02 UTC
(In reply to comment #5)
> Seems better now, I don't see any more blockers.
> 
> 5.) Please replace %{_var}/lib with %{_sharedstatedir}
> 
> 6.) These two requires don't seem to be in fact required, please consider
> removing them:
> 
> Requires: perl(Data::Report::Base) 
> Requires: perl(Data::Report::Plugin::Csv) 
> 
> APPROVED  

Fixed. Thanks for review.

Spec URL: http://v3.sk/~xyzz/rpm/MySQL-zrm/MySQL-zrm.spec
SRPM URL: http://v3.sk/~xyzz/rpm/MySQL-zrm/MySQL-zrm-2.1.1-3.fc11.src.rpm

Comment 7 Michal Ingeli 2009-10-09 15:51:58 UTC
New Package CVS Request
=======================
Package Name: MySQL-zrm
Short Description: MySQL backup manager
Owners: ksyz
Branches: F-11 F-12 EL-5
InitialCC:

Comment 8 Kevin Fenzi 2009-10-10 22:07:18 UTC
cvs done.

Comment 9 Michal Ingeli 2009-10-12 18:50:57 UTC
thanks for cvs

Comment 10 Fedora Update System 2009-10-12 18:51:45 UTC
MySQL-zrm-2.1.1-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/MySQL-zrm-2.1.1-5.fc11

Comment 11 Fedora Update System 2009-10-12 18:53:13 UTC
MySQL-zrm-2.1.1-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/MySQL-zrm-2.1.1-5.fc12

Comment 12 Fedora Update System 2009-10-12 18:55:08 UTC
MySQL-zrm-2.1.1-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/MySQL-zrm-2.1.1-5.el5

Comment 13 Fedora Update System 2009-10-14 01:47:46 UTC
MySQL-zrm-2.1.1-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update MySQL-zrm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10458

Comment 14 Fedora Update System 2009-10-16 19:34:18 UTC
MySQL-zrm-2.1.1-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update MySQL-zrm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0649

Comment 15 Fedora Update System 2009-10-26 16:53:29 UTC
MySQL-zrm-2.1.1-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-10-27 06:29:35 UTC
MySQL-zrm-2.1.1-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.